Bug 19494 - Add reservedate to Holds awaiting pickup
Summary: Add reservedate to Holds awaiting pickup
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Circulation (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Marcel de Rooy
QA Contact: Testopia
URL:
Whiteboard:
Keywords: Academy
Depends on:
Blocks:
 
Reported: 2017-10-19 10:00 UTC by Marcel de Rooy
Modified: 2018-01-16 12:13 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 19494: Add reservedate to Holds awaiting pickup (3.79 KB, patch)
2017-10-19 10:37 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 19494: Add reservedate to Holds awaiting pickup (3.81 KB, patch)
2017-11-03 11:25 UTC, Simon Pouchol
Details | Diff | Splinter Review
Bug 19494: Add reservedate to Holds awaiting pickup (3.78 KB, patch)
2017-12-12 14:54 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 19494: (QA follow-up) Rename column and apply title-string (3.14 KB, patch)
2017-12-22 07:26 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 19494: Add reservedate to Holds awaiting pickup (3.79 KB, patch)
2017-12-22 10:15 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 19494: (QA follow-up) Rename column and apply title-string (3.16 KB, patch)
2017-12-22 10:15 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Marcel de Rooy 2017-10-19 10:00:56 UTC

    
Comment 1 Marcel de Rooy 2017-10-19 10:37:12 UTC
Created attachment 68291 [details] [review]
Bug 19494: Add reservedate to Holds awaiting pickup

Add reservedate to report.
Change label "Available since" to "Waiting since".

Note: The table (already) crosses the boundaries of its container. Also
the vertical spacing for the first column (already) is not the same as the
others. (Adding the second date only makes it more visible.) These minor
design issues should be solved on another report.

Test plan:
[1] Go to Circulation, Holds awaiting pickup
[2] Note the additional column for reservedate.

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 2 Simon Pouchol 2017-11-03 11:25:53 UTC
Created attachment 68913 [details] [review]
Bug 19494: Add reservedate to Holds awaiting pickup

Add reservedate to report.
Change label "Available since" to "Waiting since".

Note: The table (already) crosses the boundaries of its container. Also
the vertical spacing for the first column (already) is not the same as the
others. (Adding the second date only makes it more visible.) These minor
design issues should be solved on another report.

Test plan:
[1] Go to Circulation, Holds awaiting pickup
[2] Note the additional column for reservedate.

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Signed-off-by: Simon Pouchol <simon.pouchol@biblibre.com>
Comment 3 Marcel de Rooy 2017-11-06 07:36:58 UTC
(In reply to Simon Pouchol from comment #2)
> Signed-off-by: Simon Pouchol <simon.pouchol@biblibre.com>

Merci beaucoup, Simon.
Comment 4 Marcel de Rooy 2017-12-12 14:54:43 UTC
Created attachment 69738 [details] [review]
Bug 19494: Add reservedate to Holds awaiting pickup

Add reservedate to report.
Change label "Available since" to "Waiting since".

Note: The table (already) crosses the boundaries of its container. Also
the vertical spacing for the first column (already) is not the same as the
others. (Adding the second date only makes it more visible.) These minor
design issues should be solved on another report.

Test plan:
[1] Go to Circulation, Holds awaiting pickup
[2] Note the additional column for reservedate.

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Signed-off-by: Simon Pouchol <simon.pouchol@biblibre.com>
Comment 5 Marcel de Rooy 2017-12-12 14:57:29 UTC
Simple rebase
Comment 6 Katrin Fischer 2017-12-22 00:16:17 UTC
Hi Marcel,

I think <th>Reserve date</th> sould be "Hold date" or "Date hold placed" or similar, as we don't use reserve in the GUI. Also I think you need to add class="title-string" to ensure proper sorting of the date.
Comment 7 Marcel de Rooy 2017-12-22 07:26:44 UTC
Created attachment 70096 [details] [review]
Bug 19494: (QA follow-up) Rename column and apply title-string

As requested by Katrin, the column should not refer to Reserve but Hold.
Sorting should be the same as Waiting since-column.

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 8 Katrin Fischer 2017-12-22 10:15:00 UTC
Created attachment 70111 [details] [review]
Bug 19494: Add reservedate to Holds awaiting pickup

Add reservedate to report.
Change label "Available since" to "Waiting since".

Note: The table (already) crosses the boundaries of its container. Also
the vertical spacing for the first column (already) is not the same as the
others. (Adding the second date only makes it more visible.) These minor
design issues should be solved on another report.

Test plan:
[1] Go to Circulation, Holds awaiting pickup
[2] Note the additional column for reservedate.

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Signed-off-by: Simon Pouchol <simon.pouchol@biblibre.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 9 Katrin Fischer 2017-12-22 10:15:04 UTC
Created attachment 70112 [details] [review]
Bug 19494: (QA follow-up) Rename column and apply title-string

As requested by Katrin, the column should not refer to Reserve but Hold.
Sorting should be the same as Waiting since-column.

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 10 Jonathan Druart 2017-12-22 16:16:49 UTC
Pushed to master for 18.05, thanks to everybody involved!
Comment 11 Nick Clemens 2018-01-16 12:13:46 UTC
Enhancement, skipping for 17.11.x.
Awesome work everybody!